// CSS variables
@mixin top-nav-light {
    --tiki-top-bg: linear-gradient(to bottom, #cbeba5 0%, #caeba2 30%, #c4e999 52%, #b4e27c 53%, #a4dc60 98%, #a3dc5f 99%, #9fda58 100%);
    --tiki-top-color: #000;
    --tiki-top-hover-color: #2c2c2c;
    --tiki-top-text-color: #2c2c2c;
}

@mixin topbar-nav-light {
    --tiki-topbar-bg: linear-gradient(to bottom, #cbeba5 0%, #caeba2 30%, #c4e999 52%, #b4e27c 53%, #a4dc60 98%, #a3dc5f 99%, #9fda58 100%);
    --tiki-topbar-color: #000;
    --tiki-topbar-hover-color: #2c2c2c;
    --tiki-topbar-text-color: #2c2c2c;
}

@mixin top-nav-dark {
    --tiki-top-bg: linear-gradient(to bottom, #4c4c4c 0%, #4c4c4c 18%, #404040 52%, #232323 53%, #090909 93%, #070707 99%, #000000 100%);
    --tiki-top-color: #b8ec79;
    --tiki-top-hover-color: #c8f197;
    --tiki-top-text-color: #c8f197;
}

@mixin topbar-nav-dark {
    --tiki-topbar-bg: linear-gradient(to bottom, #4c4c4c 0%,#4c4c4c 18%,#404040 52%,#232323 53%,#090909 93%,#070707 99%,#000000 100%);
    --tiki-topbar-color: #b8ec79;
    --tiki-topbar-hover-color: #c8f197;
    --tiki-topbar-text-color: #c8f197;
}

.tiki-top-nav-light {
    @include top-nav-light;
}

.tiki-topbar-nav-light {
    @include topbar-nav-light;
}

.tiki-top-nav-dark {
    @include top-nav-dark;
}

.tiki-topbar-nav-dark {
    @include topbar-nav-dark;
}

// Color mode preference trumps L&F admin light navbar option
[data-bs-theme=dark] {                              // dark color mode
    .tiki-top-nav-light {                           // light top selector
        @include top-nav-dark;                      // dark values
    }
    .tiki-topbar-nav-light {
        @include topbar-nav-dark;
    }
}
// Color mode preference trumps L&F admin dark navbar option
[data-bs-theme=light] {                              // color mode
    .tiki-top-nav-dark {                           // dark top selector
        @include top-nav-light;                      // light values
    }
    .tiki-topbar-nav-dark {
        @include topbar-nav-light;
    }
}


// - - - - - New admin pages (Unified Admin Backend) - - - - - - - //

// Light navbar minus top nav
@mixin admin-nav-light {
    --tiki-admin-top-nav-bg: linear-gradient(to bottom, #cbeba5 0%, #caeba2 30%, #c4e999 52%, #b4e27c 53%, #a4dc60 98%, #a3dc5f 99%, #9fda58 100%);
    --tiki-admin-top-nav-color: #000;
    --tiki-admin-top-nav-hover-color: #2c2c2c;
    --tiki-admin-top-nav-hover-bg: none ;
    --tiki-admin-aside-nav-bg: linear-gradient(to bottom, #cbeba5 0%, #caeba2 30%, #c4e999 52%, #b4e27c 53%, #a4dc60 98%, #a3dc5f 99%, #9fda58 100%);
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-bg: #{$dropdown-bg};
    --tiki-admin-dropdown-link-color: #b8ec79;
    --tiki-admin-dropdown-link-hover-color: #c8f197;
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-link-hover-bg};
}

// Dark navbar minus top nav
@mixin admin-nav-dark {
    --tiki-admin-top-nav-bg: linear-gradient(to bottom, #4c4c4c 0%, #4c4c4c 18%, #404040 52%, #232323 53%, #090909 93%, #070707 99%, #000000 100%);
    --tiki-admin-top-nav-color: #b8ec79;
    --tiki-admin-top-nav-hover-color: #b8ec79;
    --tiki-admin-top-nav-hover-bg: #c8f197;
    --tiki-admin-aside-nav-bg: linear-gradient(to bottom, #4c4c4c 0%, #4c4c4c 18%, #404040 52%, #232323 53%, #090909 93%, #070707 99%, #000000 100%);
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-link-color: #{$dropdown-dark-color};
    --tiki-admin-dropdown-bg: #{$dropdown-dark-bg};
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: linear-gradient(to bottom, #4c4c4c 0%, #4c4c4c 18%, #404040 52%, #232323 53%, #090909 93%, #070707 99%, #000000 100%);
}

// When color mode switch isn't active
:root {
    .tiki .tiki-admin-top-nav-light, // Legacy
    .tiki.tiki-admin .navbar-light-parent.tiki-top-nav-light, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-light {
        @include admin-nav-light;
    }
    .tiki .tiki-admin-top-nav-dark,
    .tiki.tiki-admin .navbar-dark-parent.tiki-top-nav-dark, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-dark {
        @include admin-nav-dark;
    }
}

// Color mode preference trumps L&F admin light navbar option
[data-bs-theme=dark] {                              // dark color mode
    .tiki .tiki-admin-top-nav-light,
    .tiki.tiki-admin .navbar-light-parent.tiki-top-nav-light, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-light {               // light top selectors
        @include admin-nav-dark;                      // dark values
    }
}
// Color mode preference trumps L&F admin dark navbar option
[data-bs-theme=light] {                              // light color mode
    .tiki .tiki-admin-top-nav-dark,
    .tiki.tiki-admin .navbar-dark-parent.tiki-top-nav-dark, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-dark {                // dark top selectors
        @include admin-nav-dark;                      // dark values
    }
}

// - - - - - New admin pages (Unified Admin Backend) END - - - - - - - //


:root,
[data-bs-theme="dark"]{
    --tiki-code-bg: #303030;
}

.ec {
    --fc-page-bg-color: #000;
}

:root {
    .ec-event.ec-event-draggable.ec-event-start.ec-event-end.ec-event-past.ec-h-event.tips,
    .ec-v-event {
        background: #292929 !important;
    }
    .ec-event-time,
    .ec-event-title {
        color: var(--bs-body-color) !important;
    }
}